Bug 151290 - archivers/arj 3.10.22_4 will not make if port tree is mounted via NFS
archivers/arj 3.10.22_4 will not make if port tree is mounted via NFS
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Renato Botelho
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-08 08:50 UTC by patrick.proniewski
Modified: 2010-10-28 19:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description patrick.proniewski 2010-10-08 08:50:02 UTC
this server mounts /usr/ports via NFS, from an identical FreeBSD server.

I'm unable to make arj-3.10.22_4 if the port tree is mounted via NFS:

relevant part of a normal "make" in local port tree:

./..
Creating archive  : ./freebsd7.3/en/rs/help.arj
Adding    ./resource/en/arjl.txt       37.2%    
Adding    ./resource/en/arjs.txt       47.3%    
Testing arjl.txt                    OK        
Testing arjs.txt                    OK        
     2 file(s)
./freebsd7.3/en/rs/tools/join ./freebsd7.3/en/rs/arj/arj ./freebsd7.3/en/rs/help.arj
JOIN v 1.30  [26/04/2003]  Not a part of any binary package!

Copying . done!
./freebsd7.3/en/rs/tools/postproc freebsd7.3/en/rs/arj/arj
POSTPROC v 1.30  [17/01/2003]  Not a part of any binary package!

Done
./..

relevant part of a make in NFS mounted port tree:

./..
Creating archive  : ./freebsd7.3/en/rs/help.arj

Error (45): Operation not supported

Can't open ./freebsd7.3/en/rs/ARJTEMP.$00
gmake[1]: *** [freebsd7.3/en/rs/arj/arj] Error 6
gmake[1]: Leaving directory `/usr/ports/archivers/arj/work/arj-3.10.22'
gmake: *** [all] Error 2
*** Error code 1
./..

Fix: 

use a local port tree, or a local copy of /usr/ports/archivers/arj:

cp -rp /usr/ports/archivers/arj /var/
cd /var/arj/
make
How-To-Repeat: mount your port tree from a remote NFS server
cd /usr/ports/archivers/arj
make
Comment 1 Edwin Groothuis freebsd_committer 2010-10-10 04:21:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Renato Botelho freebsd_committer 2010-10-28 16:16:18 UTC
Could you please try following patch and let me know if it fix the
problem?

Thanks

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/archivers/arj/Makefile,v
retrieving revision 1.33
diff -u -r1.33 Makefile
--- Makefile	16 Oct 2010 11:51:43 -0000	1.33
+++ Makefile	28 Oct 2010 15:14:41 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	arj
 PORTVERSION=	3.10.22
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	archivers
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/2.78_3.10%20build%2022
 
Index: files/patch-environ.c
===================================================================
RCS file: files/patch-environ.c
diff -N files/patch-environ.c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-environ.c	28 Oct 2010 15:14:41 -0000
@@ -0,0 +1,11 @@
+--- environ.c.orig	2010-10-28 13:11:54.000000000 -0200
++++ environ.c	2010-10-28 13:13:10.000000000 -0200
+@@ -2058,7 +2058,7 @@
+       /* ASR fix 01/10/2003 -- re-fix to handle umask 022 correctly */
+       if((handle=open(name, oflag, 0644))==-1)
+        return(NULL);
+-      if(fcntl(handle, F_SETLK, &flk)==-1&&errno!=EINVAL)
++      if(fcntl(handle, F_SETLK, &flk)==-1&&errno!=EINVAL&&errno!=ENOTSUP)
+       {
+        close(handle);
+        return(NULL);

-- 
Renato Botelho <garga     @ FreeBSD.org>
               <garga.bsd @ gmail.com>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc

	"The jig's up, Elman."
	"Which jig?"
		-- Jeff Elman
Comment 3 Renato Botelho freebsd_committer 2010-10-28 16:17:45 UTC
State Changed
From-To: open->feedback

Waiting submitter's answer
Comment 4 dfilter freebsd_committer 2010-10-28 19:34:32 UTC
garga       2010-10-28 18:34:28 UTC

  FreeBSD ports repository

  Added files:
    archivers/arj/files  patch-environ.c 
  Log:
  Fix BUILD when work is under a NFS mounted partition
  
  PR:             ports/151290
  Submitted by:   Patrick Proniewski <patrick.proniewski@univ-lyon2.fr>
  Obtained from:  Author
  
  Revision  Changes    Path
  1.3       +11 -0     ports/archivers/arj/files/patch-environ.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Renato Botelho freebsd_committer 2010-10-28 19:35:01 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!